---
title: "Get Admin of Room"
slug: "get-admin-of-room"
status: "update"
updated: 2026-09-15T14:08:53Z
published: 2026-09-15T14:08:53Z
canonical: "developer.rocket.chat/get-admin-of-room"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Admin of Room
Get/api/v1/rooms.adminRooms.getRoom
Retrieves the admin of a room.
Permission required: `view-room-administration`
### Changelog
| Version | Description |
| --- | --- |
| 8.7.0 | Restored `customFields` in the response |
| 2.4.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parametersridstringRequired
The room ID.
Example654c9d1ca2f73c7460e1918b
Responses200
OK
Success
```json
{
"_id": "ukFsHiySDhMkQyyyF",
"name": "freightwave",
"fname": "freightwave",
"t": "p",
"msgs": 4,
"usersCount": 1,
"u": {
"_id": "Gd6iymRZBK4C6wqHN",
"username": "bruno.raymundo"
},
"ro": false,
"default": false,
"customFields": {
"department": "engineering",
"priority": "high"
},
"success": true
}
```
Expand Allobject _idstring
namestring
fnamestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
roboolean
defaultboolean
customFieldsobject
The custom fields set on the room.
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring
403
Forbidden
Permission Error
```json
{
"success": false,
"error": "User does not have the permissions required for this action [error-unauthorized]"
}
```
object successboolean
errorstring